Foreman - Feature #3085

Request to be able to clone host groups via API
09/13/2013 11:04 PM - Kal Aeolian

Status: Closed
Priority: Normal
Assignee: Ori Rabin
Category: API
Target version: 1.7.0
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/1676
Description

It would be great to be able to clone a parent host group and have all children host groups cloned as well. This feature should include
matching up puppet classes assigned to each host group as well.

We have a set of 'template host groups' that are used in the creation of new environments and this would alleviate the burden of
having to match up all the classes to the right host group each time.

Related issues:

Related to Foreman - Bug #7407: Cloning a hostgroup do not clone Puppet class...

Associated revisions

Revision 5eb88cf5 - 09/15/2014 05:35 AM - Ori Rabin
Fixes #3085: Request to be able to clone host groups via API

Revision 668ab917 - 09/15/2014 05:41 AM - Dominic Cleal
refs #3085 - missing APl i18n string extraction

History

#1 - 09/16/2013 09:26 AM - Dominic Cleal
- Category set to API

#2 - 09/23/2013 02:13 PM - Joseph Magen

- Assignee set to Joseph Magen

#3 - 04/24/2014 12:11 PM - Joseph Magen

- Target version set to 1.8.3

see related issue #2785

#4 - 05/13/2014 01:44 PM - Joseph Magen
- Target version deleted (1.8.3)

#5 - 08/07/2014 08:12 AM - Ori Rabin
- Status changed from New to Assigned

- Assignee changed from Joseph Magen to Ori Rabin

#6 - 08/11/2014 09:31 AM - The Foreman Bot
- Status changed from Assigned to Ready For Testing
- Target version setto 1.7.5

- Pull request https://github.com/theforeman/foreman/pull/1676 added
- Pull request deleted ()

#7 - 08/20/2014 06:48 AM - Anonymous

- Target version changed from 1.7.5t0 1.7.4

#8 - 09/10/2014 07:19 AM - Anonymous

- Target version changed from 1.7.4to 1.7.3

#9 - 09/11/2014 08:39 AM - Dominic Cleal
- Related to Bug #7407: Cloning a hostgroup do not clone Puppet classes and parameters added

#10 - 09/15/2014 05:42 AM - Dominic Cleal

- translation missing: en.field_release set to 21

#11 - 09/15/2014 06:05 AM - Ori Rabin
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 5eb88cf5a8888229eef91fb7d506c2eb67c79fb1.

05/11/2024 22


https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/5eb88cf5a8888229eef91fb7d506c2eb67c79fb1
http://www.tcpdf.org

